Package org.italiangrid.voms.ac.impl

# Class VOMSGenericAttributeImpl

java.lang.Object
org.italiangrid.voms.ac.impl.VOMSGenericAttributeImpl

All Implemented Interfaces:
  `VOMSGenericAttribute`

public class VOMSGenericAttributeImpl extends Object implements VOMSGenericAttribute
The default implementation for VOMS Generic Attributes.

Author:
  Andrea Ceccanti

## Constructor Summary

Constructors
Constructor
Description
`VOMSGenericAttributeImpl()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getContext()`
This method returns the context for this generic attribute
`String`
`getName()`
This method returns the name of this generic attribute
`String`
`getValue()`
This method returns the value of this generic attribute
`int`
`hashCode()`
`void`
`setContext(String context)`
`void`
`setName(String name)`
`void`
`setValue(String value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VOMSGenericAttributeImpl

public VOMSGenericAttributeImpl()

## Method Details

### getName

public String getName()
Description copied from interface: `VOMSGenericAttribute`
This method returns the name of this generic attribute

Specified by:
  `getName` in interface `VOMSGenericAttribute`
Returns:
  the name of this generic attribute

### getValue

public String getValue()
Description copied from interface: `VOMSGenericAttribute`
This method returns the value of this generic attribute

Specified by:
  `getValue` in interface `VOMSGenericAttribute`
Returns:
  the value of this generic attribute

### getContext

public String getContext()
Description copied from interface: `VOMSGenericAttribute`
This method returns the context for this generic attribute

Specified by:
  `getContext` in interface `VOMSGenericAttribute`
Returns:
  the context of this generic attribute

### setName

public void setName(String name)

### setValue

public void setValue(String value)

### setContext

public void setContext(String context)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`